#!/bin/bash

#generate negative file
find ./noball -name '*.png' > negative.txt

files="selection/*.png"

for f in $files
do
  ../win/opencv_createsamplesd-patched -img $f -bg negative.txt -info "./ball/${f##*/}.txt" -num 100 -maxxangle 0.0 -maxyangle 0.0 -maxzangle 0.3 -bgthresh 8 -w 12 -h 12
  sleep 3
done

txts="./ball/*.png.txt"
echo "" > ball/positive.txt
for f in $txts
do
  cat $f >> ball/positive.txt
done
rm ./ball/*.png.txt

#-num = 128*15 = 1920
#../win/opencv_createsamples -info ball/positive.txt -bg negative.txt -vec ball.vec -num 3000 -w 12 -h 12
